<?php

$mask = array(
	      'table' => 'sys_theme_values',
	      'title' => 'Liste der Farben',
	      'join' => array(
			      'sys_themes ON sys_theme_values.theme = sys_themes.id',
			      'sys_theme_keys ON sys_theme_values.key = sys_theme_keys.id',
			      ),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'sys_theme_values.id',
					    ),
			      'theme' => array(
					    'name' => 'Theme',
					    'width' => 90,
					    'specs' => "ClassName: 'aligncenter', filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('sys_themes','id','name').", 0, '')",
					    ),
			      'key' => array(
					    'name' => 'Key',
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('sys_theme_keys','id','name').", 0, '')",
					    ),
			      'value' => array(
					    'name' => 'Value',
					    'width' => 200,
					    ),
			      ),
	      'edit' => array(
			      'theme' => array(
					    'name' => 'Theme',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM sys_themes ORDER BY name',
					    ),
			      'key' => array(
					    'name' => 'Key',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM sys_theme_keys ORDER BY name',
					    ),
			      'value' => array(
					    'name' => 'Value',
					    'type' => 'text',
					    'size' => 25,
					    ),
			      ),
	      );

?>
